ARES_PARSE_MX_REPLY(3)

NAME
ares_parse_mx_reply - Parse a reply to a DNS query of type MX

SYNOPSIS
#include <ares.h>

int ares_parse_mx_reply(const unsigned char* abuf, int alen,
struct ares_mx_reply** mx_out);

DESCRIPTION
The ares_parse_mx_reply function parses the response to a query of type MX into a linked list of struct ares_mx_reply The parameters abuf and alen give the contents of the response. The result is stored in allocated memory and a pointer to it stored into the variable pointed to by mx_out. It is the caller's responsibility to free the resulting mx_out structure when it is no longer needed using the function ares_free_data

The structure ares_mx_reply contains the following fields:

struct ares_mx_reply {
    struct ares_mx_reply *next;
    char *host;
    unsigned short priority;
};

RETURN VALUES
ares_parse_mx_reply can return any of the following values:

ARES_SUCCESS
    The response was successfully parsed.

ARES_EBADRESP
    The response was malformatted.

ARES_ENODATA
    The response did not contain an answer to the query.

ARES_ENOMEM
    Memory was exhausted.

AVAILABILITY
This function was first introduced in c-ares version 1.7.2.

SEE ALSO
ares_query(3) ares_free_data(3)

AUTHOR
Written by Jeremy Lal <kapouer@melix.org>